<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Include CSS file for Plugin Admin Area.
 */
add_action( 'admin_enqueue_scripts', 'load_admin_styles' );
function load_admin_styles() {
wp_register_style( 'amazingneo_admin_style', plugin_dir_url( __FILE__ ) . 'includs/amazingneo-admin-style.css', array(), '1.0.0' );
wp_enqueue_style( 'amazingneo_admin_style');
}

// FRONTEND // After Elementor registers all styles.
add_action( 'elementor/editor/before_enqueue_scripts', function () {
  wp_enqueue_style( 'amazing-neo', plugins_url( 'includs/amazing-neo.css', __FILE__ ) );
} );

// FRONTEND // After Elementor registers all styles.
add_action( 'elementor/frontend/after_enqueue_styles', function () {
wp_enqueue_style( 'amazing-neo', plugins_url( 'includs/amazing-neo.css', __FILE__ ) );
} );

/*
add_action( 'elementor/editor/before_enqueue_scripts', function () {
    wp_enqueue_style( 'amazingicon', plugins_url( 'includs//amazing-neo-regular.css', __FILE__ ) );
} );

add_action( 'elementor/frontend/after_enqueue_styles', function () {
    wp_enqueue_style( 'amazingicon', plugins_url( 'includs/amazing-neo-regular.css', __FILE__ ) );
} );
*/

/*
add_action( 'elementor/editor/before_enqueue_scripts', function () {
    wp_enqueue_style( 'amazingicon', plugins_url( 'includs//amazing-neo-light.css', __FILE__ ) );
} );

add_action( 'elementor/frontend/after_enqueue_styles', function () {
    wp_enqueue_style( 'amazingicon', plugins_url( 'includs/amazing-neo-light.css', __FILE__ ) );
} );
*/


function amazing_neo_modify_controls( $controls_registry )
{
    // Get existing icons
    $icons = $controls_registry->get_control( 'icon' )->get_settings( 'options' );
    // Append new icons
    $new_icons = array_merge( $icons, array(

'an an-abacus' => 'an abacus',
'an an-ac' => 'an ac',
'an an-accessible-icon' => 'an accessible icon',
'an an-accounts' => 'an accounts',
'an an-acorn' => 'an acorn',
'an an-address-book' => 'an address book',
'an an-address-card' => 'an address card',
'an an-adjust' => 'an adjust',
'an an-airplane-alt' => 'an airplane alt',
'an an-airplane' => 'an airplane',
'an an-alarm-clock' => 'an alarm clock',
'an an-alarm-exclamation' => 'an alarm exclamation',
'an an-alarm-plus' => 'an alarm plus',
'an an-alarm-snooze' => 'an alarm snooze',
'an an-align-center' => 'an align center',
'an an-align-justify' => 'an align justify',
'an an-align-left' => 'an align left',
'an an-align-right' => 'an align right',
'an an-align-slash' => 'an align slash',
'an an-ambulance' => 'an ambulance',
'an an-analytics' => 'an analytics',
'an an-anchor' => 'an anchor',
'an an-angle-double-down-circle' => 'an angle double down circle',
'an an-angle-double-down-square' => 'an angle double down square',
'an an-angle-double-down' => 'an angle double down',
'an an-angle-double-left-circle' => 'an angle double left circle',
'an an-angle-double-left-square' => 'an angle double left square',
'an an-angle-double-left' => 'an angle double left',
'an an-angle-double-right-circle' => 'an angle double right circle',
'an an-angle-double-right-square' => 'an angle double right square',
'an an-angle-double-right' => 'an angle double right',
'an an-angle-double-up-circle' => 'an angle double up circle',
'an an-angle-double-up-square' => 'an angle double up square',
'an an-angle-double-up' => 'an angle double up',
'an an-angle-down-alt-circle' => 'an angle down alt circle',
'an an-angle-down-alt-double-circle' => 'an angle down alt double circle',
'an an-angle-down-alt-double-square' => 'an angle down alt double square',
'an an-angle-down-alt-double' => 'an angle down alt double',
'an an-angle-down-alt-square' => 'an angle down alt square',
'an an-angle-down-alt' => 'an angle down alt',
'an an-angle-down-circle' => 'an angle down circle',
'an an-angle-down-square' => 'an angle down square',
'an an-angle-down' => 'an angle down',
'an an-angle-left-alt-circle' => 'an angle left alt circle',
'an an-angle-left-alt-double' => 'an angle left alt double',
'an an-angle-left-alt-doublet-circle' => 'an angle left alt doublet circle',
'an an-angle-left-alt-doublet-square' => 'an angle left alt doublet square',
'an an-angle-left-alt-square' => 'an angle left alt square',
'an an-angle-left-alt' => 'an angle left alt',
'an an-angle-left-circle' => 'an angle left circle',
'an an-angle-left-square' => 'an angle left square',
'an an-angle-left' => 'an angle left',
'an an-angle-right-alt-circle' => 'an angle right alt circle',
'an an-angle-right-alt-double-circle' => 'an angle right alt double circle',
'an an-angle-right-alt-double-square' => 'an angle right alt double square',
'an an-angle-right-alt-double' => 'an angle right alt double',
'an an-angle-right-alt-square' => 'an angle right alt square',
'an an-angle-right-alt' => 'an angle right alt',
'an an-angle-right-circle' => 'an angle right circle',
'an an-angle-right-square' => 'an angle right square',
'an an-angle-right' => 'an angle right',
'an an-angle-up-alt-circle' => 'an angle up alt circle',
'an an-angle-up-alt-double-circle' => 'an angle up alt double circle',
'an an-angle-up-alt-double-square' => 'an angle up alt double square',
'an an-angle-up-alt-double' => 'an angle up alt double',
'an an-angle-up-alt-square' => 'an angle up alt square',
'an an-angle-up-alt' => 'an angle up alt',
'an an-angle-up-circle' => 'an angle up circle',
'an an-angle-up-square' => 'an angle up square',
'an an-angle-up' => 'an angle up',
'an an-archive' => 'an archive',
'an an-archway' => 'an archway',
'an an-arrow-alt-down' => 'an arrow alt down',
'an an-arrow-alt-from-bottom' => 'an arrow alt from bottom',
'an an-arrow-alt-from-left' => 'an arrow alt from left',
'an an-arrow-alt-from-right' => 'an arrow alt from right',
'an an-arrow-alt-from-top' => 'an arrow alt from top',
'an an-arrow-alt-left' => 'an arrow alt left',
'an an-arrow-alt-right' => 'an arrow alt right',
'an an-arrow-alt-to-bottom' => 'an arrow alt to bottom',
'an an-arrow-alt-to-left' => 'an arrow alt to left',
'an an-arrow-alt-to-right' => 'an arrow alt to right',
'an an-arrow-alt-to-top' => 'an arrow alt to top',
'an an-arrow-alt-up' => 'an arrow alt up',
'an an-arrow-click' => 'an arrow click',
'an an-arrow-down-circle' => 'an arrow down circle',
'an an-arrow-down-o-circle' => 'an arrow down o circle',
'an an-arrow-down-o-square' => 'an arrow down o square',
'an an-arrow-down-o' => 'an arrow down o',
'an an-arrow-down-square' => 'an arrow down square',
'an an-arrow-down' => 'an arrow down',
'an an-arrow-from-bottom' => 'an arrow from bottom',
'an an-arrow-from-left' => 'an arrow from left',
'an an-arrow-from-right' => 'an arrow from right',
'an an-arrow-from-top' => 'an arrow from top',
'an an-arrow-left-circle' => 'an arrow left circle',
'an an-arrow-left-o-circle' => 'an arrow left o circle',
'an an-arrow-left-o-square' => 'an arrow left o square',
'an an-arrow-left-o' => 'an arrow left o',
'an an-arrow-left-square' => 'an arrow left square',
'an an-arrow-left' => 'an arrow left',
'an an-arrow-right-circle' => 'an arrow right circle',
'an an-arrow-right-o-circle' => 'an arrow right o circle',
'an an-arrow-right-o-square' => 'an arrow right o square',
'an an-arrow-right-o' => 'an arrow right o',
'an an-arrow-right-square' => 'an arrow right square',
'an an-arrow-right' => 'an arrow right',
'an an-arrow-to-bottom' => 'an arrow to bottom',
'an an-arrow-to-left' => 'an arrow to left',
'an an-arrow-to-right' => 'an arrow to right',
'an an-arrow-to-top' => 'an arrow to top',
'an an-arrow-up-circle' => 'an arrow up circle',
'an an-arrow-up-o-circle' => 'an arrow up o circle',
'an an-arrow-up-o-square' => 'an arrow up o square',
'an an-arrow-up-o' => 'an arrow up o',
'an an-arrow-up-square' => 'an arrow up square',
'an an-arrow-up' => 'an arrow up',
'an an-arrows-alt-h' => 'an arrows alt h',
'an an-arrows-alt-v' => 'an arrows alt v',
'an an-arrows-alt' => 'an arrows alt',
'an an-arrows-h' => 'an arrows h',
'an an-arrows-v' => 'an arrows v',
'an an-arrows' => 'an arrows',
'an an-assistive-listening-systems' => 'an assistive listening systems',
'an an-asterisk' => 'an asterisk',
'an an-at' => 'an at',
'an an-auto-rickshaw' => 'an auto rickshaw',
'an an-automation' => 'an automation',
'an an-availability' => 'an availability',
'an an-avionic' => 'an avionic',
'an an-award-crown' => 'an award crown',
'an an-award-star' => 'an award star',
'an an-award' => 'an award',
'an an-axe-battle' => 'an axe battle',
'an an-axe' => 'an axe',
'an an-baby' => 'an baby',
'an an-backpack' => 'an backpack',
'an an-backward' => 'an backward',
'an an-badge-check-alt' => 'an badge check alt',
'an an-badge-check' => 'an badge check',
'an an-badge-crown-alt' => 'an badge crown alt',
'an an-badge-exclamation-alt' => 'an badge exclamation alt',
'an an-badge-exclamation' => 'an badge exclamation',
'an an-badge-info-alt' => 'an badge info alt',
'an an-badge-info' => 'an badge info',
'an an-badge-minus-alt' => 'an badge minus alt',
'an an-badge-minus' => 'an badge minus',
'an an-badge-percent-alt' => 'an badge percent alt',
'an an-badge-percent' => 'an badge percent',
'an an-badge-plus-alt' => 'an badge plus alt',
'an an-badge-plus' => 'an badge plus',
'an an-badge-question-alt' => 'an badge question alt',
'an an-badge-question' => 'an badge question',
'an an-badge-star-alt' => 'an badge star alt',
'an an-badge-star' => 'an badge star',
'an an-badge-times-alt' => 'an badge times alt',
'an an-badge-times' => 'an badge times',
'an an-badge-trophy-alt' => 'an badge trophy alt',
'an an-badge-trophy' => 'an badge trophy',
'an an-Badge-usd-alt' => 'an Badge usd alt',
'an an-badge-usd' => 'an badge usd',
'an an-badge' => 'an badge',
'an an-bag' => 'an bag',
'an an-balance-scale' => 'an balance scale',
'an an-balcony' => 'an balcony',
'an an-ball' => 'an ball',
'an an-ballot-box' => 'an ballot box',
'an an-ban' => 'an ban',
'an an-band-aid' => 'an band aid',
'an an-barbell-alt' => 'an barbell alt',
'an an-barbell-unit' => 'an barbell unit',
'an an-barbell' => 'an barbell',
'an an-barcode-alt' => 'an barcode alt',
'an an-barcode-read' => 'an barcode read',
'an an-barcode-scan' => 'an barcode scan',
'an an-barcode-scanner' => 'an barcode scanner',
'an an-barcode' => 'an barcode',
'an an-bare-code' => 'an bare code',
'an an-bars-left' => 'an bars left',
'an an-bars-right' => 'an bars right',
'an an-bars' => 'an bars',
'an an-baseball-ball' => 'an baseball ball',
'an an-baseball' => 'an baseball',
'an an-basement' => 'an basement',
'an an-basil-cathedral' => 'an basil cathedral',
'an an-basketball-ball' => 'an basketball ball',
'an an-basketball-hoop' => 'an basketball hoop',
'an an-bat' => 'an bat',
'an an-bath-alt' => 'an bath alt',
'an an-bath' => 'an bath',
'an an-battery-empty-alt' => 'an battery empty alt',
'an an-battery-empty' => 'an battery empty',
'an an-battery-full' => 'an battery full',
'an an-battery-half-alt' => 'an battery half alt',
'an an-battery-half' => 'an battery half',
'an an-battery-quarter-alt' => 'an battery quarter alt',
'an an-battery-quarter' => 'an battery quarter',
'an an-battery-three-quarters-alt' => 'an battery three quarters alt',
'an an-battery-three-quarters' => 'an battery three quarters',
'an an-battleship' => 'an battleship',
'an an-bazooka' => 'an bazooka',
'an an-beach-chair' => 'an beach chair',
'an an-beach' => 'an beach',
'an an-bed-alt' => 'an bed alt',
'an an-bed-double' => 'an bed double',
'an an-bed' => 'an bed',
'an an-beer' => 'an beer',
'an an-bell-alt' => 'an bell alt',
'an an-bell-exclamation' => 'an bell exclamation',
'an an-bell-slash-alt' => 'an bell slash alt',
'an an-bell-slash' => 'an bell slash',
'an an-bell' => 'an bell',
'an an-bezier-curve' => 'an bezier curve',
'an an-bicycle' => 'an bicycle',
'an an-binoculars' => 'an binoculars',
'an an-birthday-cake' => 'an birthday cake',
'an an-bitcoin-circle' => 'an bitcoin circle',
'an an-bitcoin-coin' => 'an bitcoin coin',
'an an-bitcoin-sign' => 'an bitcoin sign',
'an an-bitcoin-square' => 'an bitcoin square',
'an an-bitcoin' => 'an bitcoin',
'an an-blanket' => 'an blanket',
'an an-blender' => 'an blender',
'an an-blind' => 'an blind',
'an an-blocks' => 'an blocks',
'an an-bluetooth-alt' => 'an bluetooth alt',
'an an-bluetooth' => 'an bluetooth',
'an an-board-alt' => 'an board alt',
'an an-board' => 'an board',
'an an-boating' => 'an boating',
'an an-boiler-rapair' => 'an boiler rapair',
'an an-boiler' => 'an boiler',
'an an-bold' => 'an bold',
'an an-bolt' => 'an bolt',
'an an-bomb-alt' => 'an bomb alt',
'an an-bomb' => 'an bomb',
'an an-bone-break' => 'an bone break',
'an an-bone' => 'an bone',
'an an-bong' => 'an bong',
'an an-book-reader-female' => 'an book reader female',
'an an-book-reader' => 'an book reader',
'an an-book' => 'an book',
'an an-bookmark-alt' => 'an bookmark alt',
'an an-bookmark' => 'an bookmark',
'an an-books' => 'an books',
'an an-border-all' => 'an border all',
'an an-border-bottom' => 'an border bottom',
'an an-border-inner' => 'an border inner',
'an an-border-left' => 'an border left',
'an an-border-none' => 'an border none',
'an an-border-outer' => 'an border outer',
'an an-border-right' => 'an border right',
'an an-border-style' => 'an border style',
'an an-border-top' => 'an border top',
'an an-bow-arrow' => 'an bow arrow',
'an an-bowling-pins' => 'an bowling pins',
'an an-bowling' => 'an bowling',
'an an-box-alt' => 'an box alt',
'an an-box-check' => 'an box check',
'an an-box-dry' => 'an box dry',
'an an-box-fragile-alt' => 'an box fragile alt',
'an an-box-fragile' => 'an box fragile',
'an an-box-heart' => 'an box heart',
'an an-box-speed-alt' => 'an box speed alt',
'an an-box-up-fragile' => 'an box up fragile',
'an an-box-up' => 'an box up',
'an an-box-usd' => 'an box usd',
'an an-box' => 'an box',
'an an-boxes' => 'an boxes',
'an an-boxing-glove' => 'an boxing glove',
'an an-brackets-curly' => 'an brackets curly',
'an an-brackets' => 'an brackets',
'an an-brain' => 'an brain',
'an an-brandenburg-gate' => 'an brandenburg gate',
'an an-briefcase' => 'an briefcase',
'an an-bring-backward' => 'an bring backward',
'an an-bring-forward' => 'an bring forward',
'an an-bring-front' => 'an bring front',
'an an-broom' => 'an broom',
'an an-browser' => 'an browser',
'an an-brush' => 'an brush',
'an an-bug-alt' => 'an bug alt',
'an an-bug' => 'an bug',
'an an-building-alt' => 'an building alt',
'an an-building-globe' => 'an building globe',
'an an-building-twin' => 'an building twin',
'an an-building' => 'an building',
'an an-bullet-diamond' => 'an bullet diamond',
'an an-bullet-fancy' => 'an bullet fancy',
'an an-bullet' => 'an bullet',
'an an-bullhorn' => 'an bullhorn',
'an an-bullseye-arrow' => 'an bullseye arrow',
'an an-bullseye' => 'an bullseye',
'an an-burj-al-arab' => 'an burj al arab',
'an an-burj-khalifa' => 'an burj khalifa',
'an an-bus' => 'an bus',
'an an-cabinet-filing' => 'an cabinet filing',
'an an-calculator-alt' => 'an calculator alt',
'an an-calculator-sign' => 'an calculator sign',
'an an-calculator' => 'an calculator',
'an an-calendar-alt' => 'an calendar alt',
'an an-calendar-check' => 'an calendar check',
'an an-calendar-day' => 'an calendar day',
'an an-calendar-edit' => 'an calendar edit',
'an an-calendar-exclamation' => 'an calendar exclamation',
'an an-calendar-minus' => 'an calendar minus',
'an an-calendar-plus' => 'an calendar plus',
'an an-calendar-star' => 'an calendar star',
'an an-calendar-times' => 'an calendar times',
'an an-calendar-week' => 'an calendar week',
'an an-calendar' => 'an calendar',
'an an-call-center' => 'an call center',
'an an-camel' => 'an camel',
'an an-camera-alt' => 'an camera alt',
'an an-camera-flip' => 'an camera flip',
'an an-camera' => 'an camera',
'an an-camp' => 'an camp',
'an an-candle-alt' => 'an candle alt',
'an an-candle' => 'an candle',
'an an-capsule-tab-alt' => 'an capsule tab alt',
'an an-capsule-tab' => 'an capsule tab',
'an an-capsule' => 'an capsule',
'an an-car-battery' => 'an car battery',
'an an-car-bump' => 'an car bump',
'an an-car-crash' => 'an car crash',
'an an-car-garage' => 'an car garage',
'an an-car-tilt' => 'an car tilt',
'an an-car-wash' => 'an car wash',
'an an-car' => 'an car',
'an an-carrycot-art' => 'an carrycot art',
'an an-carrycot' => 'an carrycot',
'an an-cart-alt' => 'an cart alt',
'an an-cart-arrow-down' => 'an cart arrow down',
'an an-cart-fill' => 'an cart fill',
'an an-cart-minus' => 'an cart minus',
'an an-cart-plus' => 'an cart plus',
'an an-cart' => 'an cart',
'an an-cat' => 'an cat',
'an an-cd-player' => 'an cd player',
'an an-certificate' => 'an certificate',
'an an-certification' => 'an certification',
'an an-chair-alt' => 'an chair alt',
'an an-chair' => 'an chair',
'an an-chairs' => 'an chairs',
'an an-chalkboard' => 'an chalkboard',
'an an-charging-station' => 'an charging station',
'an an-chart-area-alt' => 'an chart area alt',
'an an-chart-area' => 'an chart area',
'an an-chart-bar' => 'an chart bar',
'an an-chart-line-down' => 'an chart line down',
'an an-chart-line' => 'an chart line',
'an an-check-circle' => 'an check circle',
'an an-check-double-circle' => 'an check double circle',
'an an-check-double-square' => 'an check double square',
'an an-check-double' => 'an check double',
'an an-check-fancy-circle' => 'an check fancy circle',
'an an-check-list' => 'an check list',
'an an-check-square-long' => 'an check square long',
'an an-check-square' => 'an check square',
'an an-check' => 'an check',
'an an-cheeky' => 'an cheeky',
'an an-cheese' => 'an cheese',
'an an-chess-king' => 'an chess king',
'an an-christ-the-redeemer' => 'an christ the redeemer',
'an an-christmas-holly-berries' => 'an christmas holly berries',
'an an-christmas-sweets' => 'an christmas sweets',
'an an-christmas-tree-alt' => 'an christmas tree alt',
'an an-christmas-tree' => 'an christmas tree',
'an an-circle' => 'an circle',
'an an-city' => 'an city',
'an an-clinic-medical' => 'an clinic medical',
'an an-clipboard-check-list' => 'an clipboard check list',
'an an-clipboard-check' => 'an clipboard check',
'an an-clipboard-list' => 'an clipboard list',
'an an-clipboard-prescription' => 'an clipboard prescription',
'an an-clipboard-user' => 'an clipboard user',
'an an-clipboard' => 'an clipboard',
'an an-clock-alt' => 'an clock alt',
'an an-clock-o' => 'an clock o',
'an an-clock' => 'an clock',
'an an-clocktower' => 'an clocktower',
'an an-clone' => 'an clone',
'an an-cloud-download' => 'an cloud download',
'an an-cloud-drizzle' => 'an cloud drizzle',
'an an-cloud-hail-mixed' => 'an cloud hail mixed',
'an an-cloud-hail' => 'an cloud hail',
'an an-cloud-moon' => 'an cloud moon',
'an an-cloud-showers-heavy' => 'an cloud showers heavy',
'an an-cloud-snow' => 'an cloud snow',
'an an-cloud-sun' => 'an cloud sun',
'an an-cloud-thunderstorm' => 'an cloud thunderstorm',
'an an-cloud-upload' => 'an cloud upload',
'an an-cloud' => 'an cloud',
'an an-cocktail' => 'an cocktail',
'an an-code-alt' => 'an code alt',
'an an-code-branch' => 'an code branch',
'an an-code-commit' => 'an code commit',
'an an-code-compare' => 'an code compare',
'an an-code-lock' => 'an code lock',
'an an-code-pull' => 'an code pull',
'an an-code-push' => 'an code push',
'an an-code-remove' => 'an code remove',
'an an-code-revert' => 'an code revert',
'an an-code' => 'an code',
'an an-coffee' => 'an coffee',
'an an-cog-alt' => 'an cog alt',
'an an-cog' => 'an cog',
'an an-cogs' => 'an cogs',
'an an-coin-alt' => 'an coin alt',
'an an-coins' => 'an coins',
'an an-colosseum' => 'an colosseum',
'an an-columns' => 'an columns',
'an an-comment-alt-check' => 'an comment alt check',
'an an-comment-alt-dots' => 'an comment alt dots',
'an an-comment-alt-edit' => 'an comment alt edit',
'an an-comment-alt-exclamation' => 'an comment alt exclamation',
'an an-comment-alt-lines' => 'an comment alt lines',
'an an-comment-alt-medical' => 'an comment alt medical',
'an an-comment-alt-minus' => 'an comment alt minus',
'an an-comment-alt-plus' => 'an comment alt plus',
'an an-comment-alt-slash' => 'an comment alt slash',
'an an-comment-alt-times' => 'an comment alt times',
'an an-comment-alt-usd' => 'an comment alt usd',
'an an-comment-alt' => 'an comment alt',
'an an-comment-check-o' => 'an comment check o',
'an an-comment-check' => 'an comment check',
'an an-comment-dots-o' => 'an comment dots o',
'an an-comment-dots' => 'an comment dots',
'an an-comment-edit-o' => 'an comment edit o',
'an an-comment-edit' => 'an comment edit',
'an an-comment-exclamation-o' => 'an comment exclamation o',
'an an-comment-exclamation' => 'an comment exclamation',
'an an-comment-lines-o' => 'an comment lines o',
'an an-comment-lines' => 'an comment lines',
'an an-comment-medical-o' => 'an comment medical o',
'an an-comment-medical' => 'an comment medical',
'an an-comment-minus-o' => 'an comment minus o',
'an an-comment-minus' => 'an comment minus',
'an an-comment-o' => 'an comment o',
'an an-comment-plus-o' => 'an comment plus o',
'an an-comment-plus' => 'an comment plus',
'an an-comment-slash-o' => 'an comment slash o',
'an an-comment-slash' => 'an comment slash',
'an an-comment-times-o' => 'an comment times o',
'an an-comment-times' => 'an comment times',
'an an-comment-usd-o' => 'an comment usd o',
'an an-comment-usd' => 'an comment usd',
'an an-comment' => 'an comment',
'an an-comments-alt' => 'an comments alt',
'an an-compact-disc' => 'an compact disc',
'an an-company-add' => 'an company add',
'an an-compass-slash' => 'an compass slash',
'an an-compass' => 'an compass',
'an an-compress-arrow-alt' => 'an compress arrow alt',
'an an-compress-square' => 'an compress square',
'an an-compress' => 'an compress',
'an an-computer' => 'an computer',
'an an-concierge-bell' => 'an concierge bell',
'an an-confused' => 'an confused',
'an an-construction' => 'an construction',
'an an-controller' => 'an controller',
'an an-cookie-bite' => 'an cookie bite',
'an an-cookie' => 'an cookie',
'an an-cool' => 'an cool',
'an an-copy-alt' => 'an copy alt',
'an an-copy' => 'an copy',
'an an-copyright' => 'an copyright',
'an an-couch' => 'an couch',
'an an-crane' => 'an crane',
'an an-credit-card-alt' => 'an credit card alt',
'an an-credit-card' => 'an credit card',
'an an-cricket-ball' => 'an cricket ball',
'an an-cricket-bat' => 'an cricket bat',
'an an-cricket-wicket' => 'an cricket wicket',
'an an-crop' => 'an crop',
'an an-crosshairs' => 'an crosshairs',
'an an-crown' => 'an crown',
'an an-cube' => 'an cube',
'an an-currency-bag' => 'an currency bag',
'an an-currency-bags' => 'an currency bags',
'an an-cursor-arrow' => 'an cursor arrow',
'an an-cut-here' => 'an cut here',
'an an-cut' => 'an cut',
'an an-cycling' => 'an cycling',
'an an-dagger' => 'an dagger',
'an an-dance' => 'an dance',
'an an-danger' => 'an danger',
'an an-database-alt' => 'an database alt',
'an an-database' => 'an database',
'an an-dead' => 'an dead',
'an an-design' => 'an design',
'an an-desktop' => 'an desktop',
'an an-destination-alt' => 'an destination alt',
'an an-destination' => 'an destination',
'an an-devices' => 'an devices',
'an an-dharmachakra' => 'an dharmachakra',
'an an-diamond' => 'an diamond',
'an an-dice' => 'an dice',
'an an-digging' => 'an digging',
'an an-diploma-alt' => 'an diploma alt',
'an an-diploma' => 'an diploma',
'an an-discount-alt' => 'an discount alt',
'an an-discount' => 'an discount',
'an an-divide' => 'an divide',
'an an-divider' => 'an divider',
'an an-dog' => 'an dog',
'an an-dolly-empty' => 'an dolly empty',
'an an-dolly-flatbed' => 'an dolly flatbed',
'an an-donate-alt' => 'an donate alt',
'an an-donate' => 'an donate',
'an an-door' => 'an door',
'an an-dove' => 'an dove',
'an an-download-alt' => 'an download alt',
'an an-download' => 'an download',
'an an-driver' => 'an driver',
'an an-drone-cam' => 'an drone cam',
'an an-drone' => 'an drone',
'an an-dropper' => 'an dropper',
'an an-drum' => 'an drum',
'an an-duck' => 'an duck',
'an an-dumbbell-alt' => 'an dumbbell alt',
'an an-dumbbell' => 'an dumbbell',
'an an-easy-chair' => 'an easy chair',
'an an-edit-alt' => 'an edit alt',
'an an-edit' => 'an edit',
'an an-education' => 'an education',
'an an-eiffel-tower' => 'an eiffel tower',
'an an-eject' => 'an eject',
'an an-electricity' => 'an electricity',
'an an-elevator' => 'an elevator',
'an an-ellipsis-h' => 'an ellipsis h',
'an an-ellipsis-v' => 'an ellipsis v',
'an an-empty-set' => 'an empty set',
'an an-envelope-alt' => 'an envelope alt',
'an an-envelope-open-text' => 'an envelope open text',
'an an-envelope-open-usd' => 'an envelope open usd',
'an an-envelope-open' => 'an envelope open',
'an an-envelope' => 'an envelope',
'an an-equals' => 'an equals',
'an an-eraser' => 'an eraser',
'an an-ethernet' => 'an ethernet',
'an an-euro-circle' => 'an euro circle',
'an an-euro-sign' => 'an euro sign',
'an an-euro-square' => 'an euro square',
'an an-euro' => 'an euro',
'an an-exchange-alt-y' => 'an exchange alt y',
'an an-exchange-alt' => 'an exchange alt',
'an an-exchange-y' => 'an exchange y',
'an an-exchange' => 'an exchange',
'an an-exclamation-alt-circle' => 'an exclamation alt circle',
'an an-exclamation-alt-square' => 'an exclamation alt square',
'an an-exclamation-alt' => 'an exclamation alt',
'an an-exclamation-circle' => 'an exclamation circle',
'an an-exclamation-square' => 'an exclamation square',
'an an-exclamation-triangle' => 'an exclamation triangle',
'an an-exclamation' => 'an exclamation',
'an an-expand-arrows-alt' => 'an expand arrows alt',
'an an-expand-square' => 'an expand square',
'an an-expand' => 'an expand',
'an an-external-link-alt' => 'an external link alt',
'an an-external-link-square-alt' => 'an external link square alt',
'an an-external-link-square' => 'an external link square',
'an an-external-link' => 'an external link',
'an an-eye-slash' => 'an eye slash',
'an an-eye' => 'an eye',
'an an-fan' => 'an fan',
'an an-fast-backward' => 'an fast backward',
'an an-fast-forward' => 'an fast forward',
'an an-fax' => 'an fax',
'an an-feather' => 'an feather',
'an an-field-hockey-alt' => 'an field hockey alt',
'an an-field-hockey' => 'an field hockey',
'an an-field' => 'an field',
'an an-file-alt' => 'an file alt',
'an an-file-audio-full' => 'an file audio full',
'an an-file-audio-low' => 'an file audio low',
'an an-file-audio-medium' => 'an file audio medium',
'an an-file-audio-mute' => 'an file audio mute',
'an an-file-chart-line' => 'an file chart line',
'an an-file-check' => 'an file check',
'an an-file-code' => 'an file code',
'an an-file-database' => 'an file database',
'an an-file-document' => 'an file document',
'an an-file-download-alt' => 'an file download alt',
'an an-file-edit' => 'an file edit',
'an an-file-excel' => 'an file excel',
'an an-file-exclamation' => 'an file exclamation',
'an an-file-export' => 'an file export',
'an an-file-eye' => 'an file eye',
'an an-file-graph' => 'an file graph',
'an an-file-image' => 'an file image',
'an an-file-import' => 'an file import',
'an an-file-medical-alt' => 'an file medical alt',
'an an-file-medical' => 'an file medical',
'an an-file-minus' => 'an file minus',
'an an-file-music' => 'an file music',
'an an-file-o' => 'an file o',
'an an-file-paper-plane' => 'an file paper plane',
'an an-file-pdf-alt' => 'an file pdf alt',
'an an-file-pdf' => 'an file pdf',
'an an-file-piechart' => 'an file piechart',
'an an-file-plus' => 'an file plus',
'an an-file-powerpoint' => 'an file powerpoint',
'an an-file-prescription' => 'an file prescription',
'an an-file-question' => 'an file question',
'an an-file-search-minus' => 'an file search minus',
'an an-file-search-plus' => 'an file search plus',
'an an-file-search' => 'an file search',
'an an-file-switch-cam' => 'an file switch cam',
'an an-file-upload-alt' => 'an file upload alt',
'an an-file-upload' => 'an file upload',
'an an-file-usd' => 'an file usd',
'an an-file-user' => 'an file user',
'an an-file-video' => 'an file video',
'an an-file-word' => 'an file word',
'an an-file-zip' => 'an file zip',
'an an-file' => 'an file',
'an an-files-alt' => 'an files alt',
'an an-files-medical' => 'an files medical',
'an an-files' => 'an files',
'an an-film' => 'an film',
'an an-filter' => 'an filter',
'an an-fingerprint' => 'an fingerprint',
'an an-fire' => 'an fire',
'an an-fireplace' => 'an fireplace',
'an an-first-aid' => 'an first aid',
'an an-fish' => 'an fish',
'an an-fishing' => 'an fishing',
'an an-flag-alt' => 'an flag alt',
'an an-flag' => 'an flag',
'an an-flask' => 'an flask',
'an an-flexibility' => 'an flexibility',
'an an-florin-circle' => 'an florin circle',
'an an-florin-sign' => 'an florin sign',
'an an-florin-square' => 'an florin square',
'an an-florin' => 'an florin',
'an an-fog' => 'an fog',
'an an-folder-alt' => 'an folder alt',
'an an-folder-lock-alt' => 'an folder lock alt',
'an an-folder-lock' => 'an folder lock',
'an an-folder-minus-alt' => 'an folder minus alt',
'an an-folder-minus' => 'an folder minus',
'an an-folder-plus-alt' => 'an folder plus alt',
'an an-folder-plus' => 'an folder plus',
'an an-folder-times-alt' => 'an folder times alt',
'an an-folder-times' => 'an folder times',
'an an-folder' => 'an folder',
'an an-font' => 'an font',
'an an-food-container' => 'an food container',
'an an-football-rugby' => 'an football rugby',
'an an-football' => 'an football',
'an an-fork-knife' => 'an fork knife',
'an an-fork' => 'an fork',
'an an-forklift-loading' => 'an forklift loading',
'an an-forklift' => 'an forklift',
'an an-fort' => 'an fort',
'an an-forward' => 'an forward',
'an an-fragile' => 'an fragile',
'an an-frown' => 'an frown',
'an an-fuel-station' => 'an fuel station',
'an an-function' => 'an function',
'an an-galaxy' => 'an galaxy',
'an an-gamepad' => 'an gamepad',
'an an-garage' => 'an garage',
'an an-gas-grill' => 'an gas grill',
'an an-gass' => 'an gass',
'an an-gavel' => 'an gavel',
'an an-gift-card' => 'an gift card',
'an an-gift' => 'an gift',
'an an-glass-alt' => 'an glass alt',
'an an-glass-chairs' => 'an glass chairs',
'an an-glass-martini-alt' => 'an glass martini alt',
'an an-glass-martini' => 'an glass martini',
'an an-glass' => 'an glass',
'an an-glasses' => 'an glasses',
'an an-globe-alt' => 'an globe alt',
'an an-globe' => 'an globe',
'an an-goggles' => 'an goggles',
'an an-golf-bag' => 'an golf bag',
'an an-golf-ball' => 'an golf ball',
'an an-golf-car' => 'an golf car',
'an an-golf-stick-alt' => 'an golf stick alt',
'an an-golf-stick' => 'an golf stick',
'an an-golf-sticks' => 'an golf sticks',
'an an-golf' => 'an golf',
'an an-graduation-cap' => 'an graduation cap',
'an an-graph-decrease-alt' => 'an graph decrease alt',
'an an-graph-decrease' => 'an graph decrease',
'an an-graph-increase-alt' => 'an graph increase alt',
'an an-graph-increase' => 'an graph increase',
'an an-great-wall' => 'an great wall',
'an an-greater-than-equal' => 'an greater than equal',
'an an-greater-than' => 'an greater than',
'an an-grid-view' => 'an grid view',
'an an-group' => 'an group',
'an an-guilder-circle' => 'an guilder circle',
'an an-guilder-sign' => 'an guilder sign',
'an an-guilder-square' => 'an guilder square',
'an an-guilder' => 'an guilder',
'an an-guitar' => 'an guitar',
'an an-gun' => 'an gun',
'an an-h1' => 'an h1',
'an an-h2' => 'an h2',
'an an-h3' => 'an h3',
'an an-h4' => 'an h4',
'an an-h5' => 'an h5',
'an an-h6' => 'an h6',
'an an-hair-brush' => 'an hair brush',
'an an-hair-dye-brush' => 'an hair dye brush',
'an an-hairdryer' => 'an hairdryer',
'an an-halloween' => 'an halloween',
'an an-hammer-alt' => 'an hammer alt',
'an an-hammer' => 'an hammer',
'an an-hand-clap' => 'an hand clap',
'an an-hand-grenade' => 'an hand grenade',
'an an-hand-holding-box' => 'an hand holding box',
'an an-hand-holding-heart' => 'an hand holding heart',
'an an-hand-holding-seedling' => 'an hand holding seedling',
'an an-hand-holding-usd' => 'an hand holding usd',
'an an-hand-mirror' => 'an hand mirror',
'an an-hand' => 'an hand',
'an an-handycam' => 'an handycam',
'an an-hard-hat' => 'an hard hat',
'an an-hashtag' => 'an hashtag',
'an an-hat-winter' => 'an hat winter',
'an an-heading' => 'an heading',
'an an-headphones' => 'an headphones',
'an an-health' => 'an health',
'an an-heart-broken' => 'an heart broken',
'an an-heart-circle' => 'an heart circle',
'an an-heart-rate' => 'an heart rate',
'an an-heart' => 'an heart',
'an an-helicopter-alt' => 'an helicopter alt',
'an an-helicopter' => 'an helicopter',
'an an-helmet' => 'an helmet',
'an an-help' => 'an help',
'an an-highlighter' => 'an highlighter',
'an an-hiking' => 'an hiking',
'an an-history' => 'an history',
'an an-hockey-sticks' => 'an hockey sticks',
'an an-hockey' => 'an hockey',
'an an-home-heart' => 'an home heart',
'an an-home' => 'an home',
'an an-hospital-alt' => 'an hospital alt',
'an an-hospital' => 'an hospital',
'an an-hot-cup' => 'an hot cup',
'an an-hot-tub' => 'an hot tub',
'an an-hotel' => 'an hotel',
'an an-hourglass' => 'an hourglass',
'an an-housekeeping' => 'an housekeeping',
'an an-hunt' => 'an hunt',
'an an-i-cursor' => 'an i cursor',
'an an-iban' => 'an iban',
'an an-id-card' => 'an id card',
'an an-image-alt' => 'an image alt',
'an an-image' => 'an image',
'an an-images-alt' => 'an images alt',
'an an-images' => 'an images',
'an an-inbox-in' => 'an inbox in',
'an an-inbox-out' => 'an inbox out',
'an an-inbox' => 'an inbox',
'an an-indent' => 'an indent',
'an an-industry' => 'an industry',
'an an-infinity' => 'an infinity',
'an an-info-alt-circle' => 'an info alt circle',
'an an-info-circle' => 'an info circle',
'an an-info-square' => 'an info square',
'an an-info' => 'an info',
'an an-injection-usp' => 'an injection usp',
'an an-injection' => 'an injection',
'an an-inr-circle' => 'an inr circle',
'an an-inr-sign' => 'an inr sign',
'an an-inr-square' => 'an inr square',
'an an-inr' => 'an inr',
'an an-integral' => 'an integral',
'an an-intersection' => 'an intersection',
'an an-inventory' => 'an inventory',
'an an-Iron-board' => 'an Iron board',
'an an-island-tropical-alt' => 'an island tropical alt',
'an an-island-tropical' => 'an island tropical',
'an an-italic' => 'an italic',
'an an-jack-o-lantern' => 'an jack o lantern',
'an an-jet-alt' => 'an jet alt',
'an an-jet-landing' => 'an jet landing',
'an an-jet-takeoff' => 'an jet takeoff',
'an an-jet' => 'an jet',
'an an-kaaba' => 'an kaaba',
'an an-key' => 'an key',
'an an-keyboard' => 'an keyboard',
'an an-keys' => 'an keys',
'an an-kingdom-tower' => 'an kingdom tower',
'an an-knife' => 'an knife',
'an an-lake-view' => 'an lake view',
'an an-lambda' => 'an lambda',
'an an-lamp-alt' => 'an lamp alt',
'an an-lamp' => 'an lamp',
'an an-landmark' => 'an landmark',
'an an-language-interpreting-sign' => 'an language interpreting sign',
'an an-laptop-code' => 'an laptop code',
'an an-laptop' => 'an laptop',
'an an-laugh-squint' => 'an laugh squint',
'an an-launching-vehicle-alt' => 'an launching vehicle alt',
'an an-launching-vehicle' => 'an launching vehicle',
'an an-laundry' => 'an laundry',
'an an-layout' => 'an layout',
'an an-leaf-heart' => 'an leaf heart',
'an an-leaf' => 'an leaf',
'an an-less-than-equal' => 'an less than equal',
'an an-less-than' => 'an less than',
'an an-life-ring' => 'an life ring',
'an an-lightbulb-exclamation' => 'an lightbulb exclamation',
'an an-lightbulb-on-alt' => 'an lightbulb on alt',
'an an-lightbulb-on' => 'an lightbulb on',
'an an-lightbulb-slash' => 'an lightbulb slash',
'an an-lightbulb-usd' => 'an lightbulb usd',
'an an-lightbulb' => 'an lightbulb',
'an an-line-graph-alt' => 'an line graph alt',
'an an-line-graph' => 'an line graph',
'an an-line-height' => 'an line height',
'an an-link-alt' => 'an link alt',
'an an-link' => 'an link',
'an an-lipstick' => 'an lipstick',
'an an-lira-circle' => 'an lira circle',
'an an-lira-sign' => 'an lira sign',
'an an-lira-square' => 'an lira square',
'an an-lira' => 'an lira',
'an an-list-ol' => 'an list ol',
'an an-list-ul' => 'an list ul',
'an an-list' => 'an list',
'an an-loading' => 'an loading',
'an an-location-arrow-circle' => 'an location arrow circle',
'an an-location-arrow' => 'an location arrow',
'an an-location' => 'an location',
'an an-lock-alt' => 'an lock alt',
'an an-lock-open-alt' => 'an lock open alt',
'an an-lock-open' => 'an lock open',
'an an-lock' => 'an lock',
'an an-locker' => 'an locker',
'an an-loder' => 'an loder',
'an an-login-alt' => 'an login alt',
'an an-login' => 'an login',
'an an-logout-alt' => 'an logout alt',
'an an-logout' => 'an logout',
'an an-london-eye' => 'an london eye',
'an an-long-arrow-down-circle' => 'an long arrow down circle',
'an an-long-arrow-down-square' => 'an long arrow down square',
'an an-long-arrow-down' => 'an long arrow down',
'an an-long-arrow-left-circle' => 'an long arrow left circle',
'an an-long-arrow-left-square' => 'an long arrow left square',
'an an-long-arrow-left' => 'an long arrow left',
'an an-long-arrow-right-circle' => 'an long arrow right circle',
'an an-long-arrow-right-square' => 'an long arrow right square',
'an an-long-arrow-right' => 'an long arrow right',
'an an-long-arrow-up-circle' => 'an long arrow up circle',
'an an-long-arrow-up-square' => 'an long arrow up square',
'an an-long-arrow-up' => 'an long arrow up',
'an an-luggage-cart' => 'an luggage cart',
'an an-mach-speed' => 'an mach speed',
'an an-magic' => 'an magic',
'an an-magnet-alt' => 'an magnet alt',
'an an-magnet' => 'an magnet',
'an an-map-alt' => 'an map alt',
'an an-map-marker-alt' => 'an map marker alt',
'an an-map-marker' => 'an map marker',
'an an-map-pin' => 'an map pin',
'an an-map-sign' => 'an map sign',
'an an-map-signs-alt' => 'an map signs alt',
'an an-map-signs' => 'an map signs',
'an an-map' => 'an map',
'an an-mars-double' => 'an mars double',
'an an-mars-stroke-h' => 'an mars stroke h',
'an an-mars-stroke-v' => 'an mars stroke v',
'an an-mars-stroke' => 'an mars stroke',
'an an-mars' => 'an mars',
'an an-mask' => 'an mask',
'an an-megaphone' => 'an megaphone',
'an an-meh' => 'an meh',
'an an-menu-left' => 'an menu left',
'an an-menu-right' => 'an menu right',
'an an-menu' => 'an menu',
'an an-metro-train' => 'an metro train',
'an an-mice' => 'an mice',
'an an-microchip' => 'an microchip',
'an an-microphone-slash' => 'an microphone slash',
'an an-microphone' => 'an microphone',
'an an-microscope' => 'an microscope',
'an an-minus-circle' => 'an minus circle',
'an an-minus-square' => 'an minus square',
'an an-minus' => 'an minus',
'an an-missile-launcher' => 'an missile launcher',
'an an-missile-launching-vehicle' => 'an missile launching vehicle',
'an an-missile' => 'an missile',
'an an-mobile-alt' => 'an mobile alt',
'an an-mobile-android-alt' => 'an mobile android alt',
'an an-mobile-android' => 'an mobile android',
'an an-mobile-iphone' => 'an mobile iphone',
'an an-mobile' => 'an mobile',
'an an-money-check' => 'an money check',
'an an-monitor-heart-rate' => 'an monitor heart rate',
'an an-moon-star' => 'an moon star',
'an an-moon' => 'an moon',
'an an-mosque-alt' => 'an mosque alt',
'an an-mosque' => 'an mosque',
'an an-motorcycle' => 'an motorcycle',
'an an-mouse' => 'an mouse',
'an an-movie-camera' => 'an movie camera',
'an an-mug-hot' => 'an mug hot',
'an an-muscles' => 'an muscles',
'an an-music' => 'an music',
'an an-network' => 'an network',
'an an-newspaper' => 'an newspaper',
'an an-not-equal' => 'an not equal',
'an an-not-found' => 'an not found',
'an an-ocean' => 'an ocean',
'an an-octagon' => 'an octagon',
'an an-omega' => 'an omega',
'an an-opera-house' => 'an opera house',
'an an-ornament-alt' => 'an ornament alt',
'an an-ornament' => 'an ornament',
'an an-ornaments-alt' => 'an ornaments alt',
'an an-ornaments' => 'an ornaments',
'an an-outdent' => 'an outdent',
'an an-pagoda' => 'an pagoda',
'an an-paint-brush' => 'an paint brush',
'an an-paint-roller' => 'an paint roller',
'an an-paper-plane' => 'an paper plane',
'an an-paperclip-alt' => 'an paperclip alt',
'an an-paperclip' => 'an paperclip',
'an an-parachute-box-alt' => 'an parachute box alt',
'an an-parachute-box' => 'an parachute box',
'an an-paragraph' => 'an paragraph',
'an an-pareto-chart' => 'an pareto chart',
'an an-park' => 'an park',
'an an-parkar' => 'an parkar',
'an an-paspoort' => 'an paspoort',
'an an-passport-alt' => 'an passport alt',
'an an-patio' => 'an patio',
'an an-pause-circle' => 'an pause circle',
'an an-pause' => 'an pause',
'an an-paw-alt' => 'an paw alt',
'an an-paw' => 'an paw',
'an an-payable' => 'an payable',
'an an-pen-alt' => 'an pen alt',
'an an-pen-nib' => 'an pen nib',
'an an-pen' => 'an pen',
'an an-pencil-alt' => 'an pencil alt',
'an an-pencil-square-alt' => 'an pencil square alt',
'an an-pencil-square' => 'an pencil square',
'an an-pencil' => 'an pencil',
'an an-percentage' => 'an percentage',
'an an-peso-circle' => 'an peso circle',
'an an-peso-sign' => 'an peso sign',
'an an-peso-square' => 'an peso square',
'an an-peso' => 'an peso',
'an an-phone-24' => 'an phone 24',
'an an-phone-add' => 'an phone add',
'an an-phone-alt' => 'an phone alt',
'an an-phone-check' => 'an phone check',
'an an-phone-incoming-missed-call' => 'an phone incoming missed call',
'an an-phone-incoming' => 'an phone incoming',
'an an-phone-outgoing-missed-call' => 'an phone outgoing missed call',
'an an-phone-outgoing' => 'an phone outgoing',
'an an-phone-remove' => 'an phone remove',
'an an-phone-silent' => 'an phone silent',
'an an-phone-times' => 'an phone times',
'an an-phone-volume' => 'an phone volume',
'an an-phone-waiting' => 'an phone waiting',
'an an-phone' => 'an phone',
'an an-physics' => 'an physics',
'an an-pi' => 'an pi',
'an an-piechart-alt' => 'an piechart alt',
'an an-piechart' => 'an piechart',
'an an-pisa-tower' => 'an pisa tower',
'an an-pistol' => 'an pistol',
'an an-pizza-slice' => 'an pizza slice',
'an an-pizza' => 'an pizza',
'an an-plane-alt' => 'an plane alt',
'an an-plane-arrival-time' => 'an plane arrival time',
'an an-plane-arrival' => 'an plane arrival',
'an an-plane-departure-time' => 'an plane departure time',
'an an-plane-departure' => 'an plane departure',
'an an-play-circle' => 'an play circle',
'an an-play' => 'an play',
'an an-plug' => 'an plug',
'an an-plus-circle' => 'an plus circle',
'an an-plus-square' => 'an plus square',
'an an-plus' => 'an plus',
'an an-podcast' => 'an podcast',
'an an-podium' => 'an podium',
'an an-poll-h' => 'an poll h',
'an an-poll' => 'an poll',
'an an-pound-circle' => 'an pound circle',
'an an-pound-sign' => 'an pound sign',
'an an-pound-square' => 'an pound square',
'an an-pound' => 'an pound',
'an an-power-off' => 'an power off',
'an an-prescription' => 'an prescription',
'an an-print' => 'an print',
'an an-punching-bag' => 'an punching bag',
'an an-puzzle-piece' => 'an puzzle piece',
'an an-pyramid-alt' => 'an pyramid alt',
'an an-pyramid' => 'an pyramid',
'an an-qrcode' => 'an qrcode',
'an an-question-circle' => 'an question circle',
'an an-question-square' => 'an question square',
'an an-question' => 'an question',
'an an-quote-left' => 'an quote left',
'an an-quote-right' => 'an quote right',
'an an-racquet' => 'an racquet',
'an an-radiation-alt' => 'an radiation alt',
'an an-radiation' => 'an radiation',
'an an-random' => 'an random',
'an an-razor-alt' => 'an razor alt',
'an an-razor' => 'an razor',
'an an-receivables' => 'an receivables',
'an an-recording' => 'an recording',
'an an-recycle' => 'an recycle',
'an an-redo' => 'an redo',
'an an-referral' => 'an referral',
'an an-refresh' => 'an refresh',
'an an-reply-all' => 'an reply all',
'an an-reply' => 'an reply',
'an an-retweet' => 'an retweet',
'an an-ring' => 'an ring',
'an an-riyal-circle' => 'an riyal circle',
'an an-riyal-sign' => 'an riyal sign',
'an an-riyal-square' => 'an riyal square',
'an an-riyal' => 'an riyal',
'an an-road-alt' => 'an road alt',
'an an-road' => 'an road',
'an an-robo' => 'an robo',
'an an-rocket-art' => 'an rocket art',
'an an-rocket' => 'an rocket',
'an an-room' => 'an room',
'an an-rounded-arrow-down' => 'an rounded arrow down',
'an an-rounded-arrow-left' => 'an rounded arrow left',
'an an-rounded-arrow-right' => 'an rounded arrow right',
'an an-rounded-arrow-up' => 'an rounded arrow up',
'an an-router' => 'an router',
'an an-ruble-circle' => 'an ruble circle',
'an an-ruble-sign' => 'an ruble sign',
'an an-ruble-square' => 'an ruble square',
'an an-ruble' => 'an ruble',
'an an-ruler-combined-alt' => 'an ruler combined alt',
'an an-ruler-combined' => 'an ruler combined',
'an an-ruler' => 'an ruler',
'an an-runway' => 'an runway',
'an an-rupee-circle' => 'an rupee circle',
'an an-rupee-sign' => 'an rupee sign',
'an an-rupee-square' => 'an rupee square',
'an an-rupee' => 'an rupee',
'an an-rupiah-circle' => 'an rupiah circle',
'an an-rupiah-sign' => 'an rupiah sign',
'an an-rupiah-square' => 'an rupiah square',
'an an-rupiah' => 'an rupiah',
'an an-satellite-dish' => 'an satellite dish',
'an an-satellite' => 'an satellite',
'an an-satisfaction' => 'an satisfaction',
'an an-save' => 'an save',
'an an-school-alt' => 'an school alt',
'an an-school' => 'an school',
'an an-scorpion' => 'an scorpion',
'an an-screwdriver' => 'an screwdriver',
'an an-search-alt' => 'an search alt',
'an an-search-engine' => 'an search engine',
'an an-search-field' => 'an search field',
'an an-search-location' => 'an search location',
'an an-search-minus' => 'an search minus',
'an an-search-plus' => 'an search plus',
'an an-search-usd' => 'an search usd',
'an an-search' => 'an search',
'an an-seat' => 'an seat',
'an an-seedling' => 'an seedling',
'an an-send-back' => 'an send back',
'an an-send-backward' => 'an send backward',
'an an-server' => 'an server',
'an an-sewerage' => 'an sewerage',
'an an-shah-faisal-mosque' => 'an shah faisal mosque',
'an an-shaping' => 'an shaping',
'an an-share-all' => 'an share all',
'an an-share-alt' => 'an share alt',
'an an-share-square' => 'an share square',
'an an-share' => 'an share',
'an an-shaving-brush' => 'an shaving brush',
'an an-shaving-machine' => 'an shaving machine',
'an an-shaving-razor-alt' => 'an shaving razor alt',
'an an-shaving-razor' => 'an shaving razor',
'an an-shield-alt' => 'an shield alt',
'an an-shield-check-alt' => 'an shield check alt',
'an an-shield-check' => 'an shield check',
'an an-shield-half' => 'an shield half',
'an an-shield-sword' => 'an shield sword',
'an an-shield' => 'an shield',
'an an-ship-steering-wheel' => 'an ship steering wheel',
'an an-ship' => 'an ship',
'an an-shirt-alt' => 'an shirt alt',
'an an-shirt-tie-alt' => 'an shirt tie alt',
'an an-shirt-tie' => 'an shirt tie',
'an an-shirt' => 'an shirt',
'an an-shop-alt' => 'an shop alt',
'an an-shop' => 'an shop',
'an an-shopping-bag' => 'an shopping bag',
'an an-shopping-basket' => 'an shopping basket',
'an an-shower' => 'an shower',
'an an-shows' => 'an shows',
'an an-shuttle' => 'an shuttle',
'an an-sigma' => 'an sigma',
'an an-signal-1' => 'an signal 1',
'an an-signal-2' => 'an signal 2',
'an an-signal-3' => 'an signal 3',
'an an-signal-4' => 'an signal 4',
'an an-signal' => 'an signal',
'an an-signature' => 'an signature',
'an an-siren' => 'an siren',
'an an-sitemap' => 'an sitemap',
'an an-skateboard' => 'an skateboard',
'an an-skirts-alt' => 'an skirts alt',
'an an-skirts' => 'an skirts',
'an an-slider' => 'an slider',
'an an-sliders-h-square' => 'an sliders h square',
'an an-sliders-h' => 'an sliders h',
'an an-sliders-v-square' => 'an sliders v square',
'an an-sliders-v' => 'an sliders v',
'an an-slip' => 'an slip',
'an an-smile' => 'an smile',
'an an-snow' => 'an snow',
'an an-solar-panel' => 'an solar panel',
'an an-sort-alpha-down-alt' => 'an sort alpha down alt',
'an an-sort-alpha-down' => 'an sort alpha down',
'an an-sort-alpha-up-alt' => 'an sort alpha up alt',
'an an-sort-alpha-up' => 'an sort alpha up',
'an an-sort-amount-down-alt' => 'an sort amount down alt',
'an an-sort-amount-down' => 'an sort amount down',
'an an-sort-amount-up-alt' => 'an sort amount up alt',
'an an-sort-amount-up' => 'an sort amount up',
'an an-sort-down' => 'an sort down',
'an an-sort-numeric-down-alt' => 'an sort numeric down alt',
'an an-sort-numeric-down' => 'an sort numeric down',
'an an-sort-numeric-up-alt' => 'an sort numeric up alt',
'an an-sort-numeric-up' => 'an sort numeric up',
'an an-sort-up' => 'an sort up',
'an an-sort' => 'an sort',
'an an-spa' => 'an spa',
'an an-speedometer' => 'an speedometer',
'an an-spider' => 'an spider',
'an an-spoon-fork-knife' => 'an spoon fork knife',
'an an-spoon' => 'an spoon',
'an an-square-root-alt' => 'an square root alt',
'an an-square-root' => 'an square root',
'an an-stadium-alt' => 'an stadium alt',
'an an-stadium' => 'an stadium',
'an an-star-alt' => 'an star alt',
'an an-star-half-alt' => 'an star half alt',
'an an-star-half' => 'an star half',
'an an-star-shine' => 'an star shine',
'an an-star' => 'an star',
'an an-stars' => 'an stars',
'an an-statue-of-liberty' => 'an statue of liberty',
'an an-step-backward' => 'an step backward',
'an an-step-forward' => 'an step forward',
'an an-stethoscope' => 'an stethoscope',
'an an-sticky-note' => 'an sticky note',
'an an-stop-circle' => 'an stop circle',
'an an-stop' => 'an stop',
'an an-street-view' => 'an street view',
'an an-strikethrough' => 'an strikethrough',
'an an-student' => 'an student',
'an an-submarine' => 'an submarine',
'an an-subscript' => 'an subscript',
'an an-suitcase-rolling' => 'an suitcase rolling',
'an an-suitcase' => 'an suitcase',
'an an-sun' => 'an sun',
'an an-superscript' => 'an superscript',
'an an-surprised' => 'an surprised',
'an an-swimming-pool' => 'an swimming pool',
'an an-swimming' => 'an swimming',
'an an-swiss-franc-circle' => 'an swiss franc circle',
'an an-swiss-franc-square' => 'an swiss franc square',
'an an-swiss-franc' => 'an swiss franc',
'an an-swiss-sign' => 'an swiss sign',
'an an-sword' => 'an sword',
'an an-swords' => 'an swords',
'an an-sync' => 'an sync',
'an an-tab' => 'an tab',
'an an-table-tennis' => 'an table tennis',
'an an-table' => 'an table',
'an an-tableware-alt' => 'an tableware alt',
'an an-tableware' => 'an tableware',
'an an-tachometer' => 'an tachometer',
'an an-tag' => 'an tag',
'an an-tags' => 'an tags',
'an an-tajmahal' => 'an tajmahal',
'an an-tally' => 'an tally',
'an an-tank' => 'an tank',
'an an-tasks' => 'an tasks',
'an an-telephone' => 'an telephone',
'an an-temperature-meter' => 'an temperature meter',
'an an-terminal' => 'an terminal',
'an an-text-height' => 'an text height',
'an an-text-width' => 'an text width',
'an an-textarea' => 'an textarea',
'an an-textbox' => 'an textbox',
'an an-theater-masks' => 'an theater masks',
'an an-thermometer' => 'an thermometer',
'an an-theta' => 'an theta',
'an an-thumbs-down' => 'an thumbs down',
'an an-thumbs-up-alt' => 'an thumbs up alt',
'an an-thumbs-up' => 'an thumbs up',
'an an-thumbtack' => 'an thumbtack',
'an an-ticket' => 'an ticket',
'an an-tilde' => 'an tilde',
'an an-times-circle' => 'an times circle',
'an an-times-square' => 'an times square',
'an an-times' => 'an times',
'an an-tint-slash' => 'an tint slash',
'an an-tint' => 'an tint',
'an an-tire-alt' => 'an tire alt',
'an an-tire-monster-alt' => 'an tire monster alt',
'an an-tire-monster' => 'an tire monster',
'an an-tire-rim' => 'an tire rim',
'an an-tire' => 'an tire',
'an an-toaster' => 'an toaster',
'an an-toilet-paper' => 'an toilet paper',
'an an-toolbox' => 'an toolbox',
'an an-tools-alt' => 'an tools alt',
'an an-tools' => 'an tools',
'an an-tooth-alt' => 'an tooth alt',
'an an-tooth' => 'an tooth',
'an an-tornado' => 'an tornado',
'an an-tow-truck' => 'an tow truck',
'an an-tower-of-pakistan' => 'an tower of pakistan',
'an an-tractor' => 'an tractor',
'an an-traffic-cone' => 'an traffic cone',
'an an-traffic-light-go' => 'an traffic light go',
'an an-traffic-light-slow' => 'an traffic light slow',
'an an-traffic-light-stop' => 'an traffic light stop',
'an an-traffic-light' => 'an traffic light',
'an an-train-tunnel-alt' => 'an train tunnel alt',
'an an-train-tunnel' => 'an train tunnel',
'an an-train' => 'an train',
'an an-transgender-alt' => 'an transgender alt',
'an an-transgender' => 'an transgender',
'an an-translate' => 'an translate',
'an an-trash-alt' => 'an trash alt',
'an an-trash-restore' => 'an trash restore',
'an an-trash' => 'an trash',
'an an-tree' => 'an tree',
'an an-trophy' => 'an trophy',
'an an-truck-elevator' => 'an truck elevator',
'an an-truck' => 'an truck',
'an an-tshirt' => 'an tshirt',
'an an-turkish-lira-circle' => 'an turkish lira circle',
'an an-turkish-lira-sign' => 'an turkish lira sign',
'an an-turkish-lira-square' => 'an turkish lira square',
'an an-turkish-lira' => 'an turkish lira',
'an an-turtle' => 'an turtle',
'an an-tv' => 'an tv',
'an an-umbrella-beach' => 'an umbrella beach',
'an an-umbrella' => 'an umbrella',
'an an-unchack-square' => 'an unchack square',
'an an-uncheck-fancy-circle' => 'an uncheck fancy circle',
'an an-underline' => 'an underline',
'an an-undo' => 'an undo',
'an an-union' => 'an union',
'an an-upload-alt' => 'an upload alt',
'an an-upload' => 'an upload',
'an an-usd-circle' => 'an usd circle',
'an an-usd-sign' => 'an usd sign',
'an an-usd-square' => 'an usd square',
'an an-usd' => 'an usd',
'an an-user-card' => 'an user card',
'an an-user-check-alt' => 'an user check alt',
'an an-user-check' => 'an user check',
'an an-user-circle-female-o' => 'an user circle female o',
'an an-user-circle-o' => 'an user circle o',
'an an-user-circle' => 'an user circle',
'an an-user-clock-alt' => 'an user clock alt',
'an an-user-clock' => 'an user clock',
'an an-user-cog-alt' => 'an user cog alt',
'an an-user-cog' => 'an user cog',
'an an-user-comment-alt' => 'an user comment alt',
'an an-user-comment' => 'an user comment',
'an an-user-crown-alt' => 'an user crown alt',
'an an-user-crown-o' => 'an user crown o',
'an an-user-crown' => 'an user crown',
'an an-user-currency-alt' => 'an user currency alt',
'an an-user-currency' => 'an user currency',
'an an-user-dr' => 'an user dr',
'an an-user-edit-alt' => 'an user edit alt',
'an an-user-edit' => 'an user edit',
'an an-user-female-alt' => 'an user female alt',
'an an-user-female-circle' => 'an user female circle',
'an an-user-female' => 'an user female',
'an an-user-graduate-female' => 'an user graduate female',
'an an-user-graduate' => 'an user graduate',
'an an-user-group-female' => 'an user group female',
'an an-user-group' => 'an user group',
'an an-user-hard-hat-alt' => 'an user hard hat alt',
'an an-user-hard-hat' => 'an user hard hat',
'an an-user-in-alt' => 'an user in alt',
'an an-user-in' => 'an user in',
'an an-user-list-alt' => 'an user list alt',
'an an-user-list' => 'an user list',
'an an-user-lock-alt' => 'an user lock alt',
'an an-user-lock' => 'an user lock',
'an an-user-medical-alt' => 'an user medical alt',
'an an-user-medical' => 'an user medical',
'an an-user-minus-alt' => 'an user minus alt',
'an an-user-minus' => 'an user minus',
'an an-user-ninja' => 'an user ninja',
'an an-user-out-alt' => 'an user out alt',
'an an-user-out' => 'an user out',
'an an-user-plus-alt' => 'an user plus alt',
'an an-user-plus' => 'an user plus',
'an an-user-recycle-bin-alt' => 'an user recycle bin alt',
'an an-user-recycle-bin' => 'an user recycle bin',
'an an-user-secret' => 'an user secret',
'an an-user-shield-alt' => 'an user shield alt',
'an an-user-shield' => 'an user shield',
'an an-user-star-alt' => 'an user star alt',
'an an-user-star' => 'an user star',
'an an-user-student-alt' => 'an user student alt',
'an an-user-student' => 'an user student',
'an an-user-tag-alt' => 'an user tag alt',
'an an-user-tag' => 'an user tag',
'an an-user-tie' => 'an user tie',
'an an-user-times-alt' => 'an user times alt',
'an an-user-times' => 'an user times',
'an an-user-trophy-alt' => 'an user trophy alt',
'an an-user-trophy' => 'an user trophy',
'an an-user-usd-alt' => 'an user usd alt',
'an an-user-usd' => 'an user usd',
'an an-user' => 'an user',
'an an-value-absolute' => 'an value absolute',
'an an-van-check' => 'an van check',
'an an-van-fast' => 'an van fast',
'an an-van-medical' => 'an van medical',
'an an-van-plus' => 'an van plus',
'an an-van-time' => 'an van time',
'an an-van-times' => 'an van times',
'an an-van' => 'an van',
'an an-venus-mars' => 'an venus mars',
'an an-venus' => 'an venus',
'an an-video-plus' => 'an video plus',
'an an-video-slash' => 'an video slash',
'an an-video' => 'an video',
'an an-view-slash' => 'an view slash',
'an an-view' => 'an view',
'an an-villa' => 'an villa',
'an an-visa-stamp' => 'an visa stamp',
'an an-volcano' => 'an volcano',
'an an-volleyball' => 'an volleyball',
'an an-volume-low' => 'an volume low',
'an an-volume-mute' => 'an volume mute',
'an an-volume-off' => 'an volume off',
'an an-volume-slash' => 'an volume slash',
'an an-volume-up' => 'an volume up',
'an an-volume' => 'an volume',
'an an-walking' => 'an walking',
'an an-wall' => 'an wall',
'an an-wallet-alt' => 'an wallet alt',
'an an-wallet' => 'an wallet',
'an an-warehouse-alt' => 'an warehouse alt',
'an an-warehouse' => 'an warehouse',
'an an-watch-alt' => 'an watch alt',
'an an-watch-fitness' => 'an watch fitness',
'an an-watch' => 'an watch',
'an an-water-lower' => 'an water lower',
'an an-water-rise' => 'an water rise',
'an an-water-supply' => 'an water supply',
'an an-water-tap' => 'an water tap',
'an an-water' => 'an water',
'an an-watering-can' => 'an watering can',
'an an-webcam-slash' => 'an webcam slash',
'an an-webcam' => 'an webcam',
'an an-weight' => 'an weight',
'an an-whale' => 'an whale',
'an an-whistle' => 'an whistle',
'an an-widgets' => 'an widgets',
'an an-wifi' => 'an wifi',
'an an-wind' => 'an wind',
'an an-wink' => 'an wink',
'an an-won-circle' => 'an won circle',
'an an-won-sign' => 'an won sign',
'an an-won-square' => 'an won square',
'an an-won' => 'an won',
'an an-world-map' => 'an world map',
'an an-worry' => 'an worry',
'an an-wrench' => 'an wrench',
'an an-write-alt' => 'an write alt',
'an an-write' => 'an write',
'an an-yen-circle' => 'an yen circle',
'an an-yen-sign' => 'an yen sign',
'an an-yen-square' => 'an yen square',
'an an-yen' => 'an yen',
'an an-yuan-circle' => 'an yuan circle',
'an an-yuan-sign' => 'an yuan sign',
'an an-yuan-square' => 'an yuan square',
'an an-yuan' => 'an yuan',
// brands

'anb an-500px' => 'anb 500px', 
'anb an-acrobat-reader' => 'anb acrobat reader', 
'anb an-adobe' => 'anb adobe', 
'anb an-airbnb' => 'anb airbnb', 
'anb an-alarb' => 'anb alarb', 
'anb an-alipay' => 'anb alipay', 
'anb an-alnoor' => 'anb alnoor', 
'anb an-amazingneo' => 'anb amazingneo', 
'anb an-amazon-pay-card' => 'anb amazon pay card', 
'anb an-amazon-pay' => 'anb amazon pay', 
'anb an-amazon' => 'anb amazon', 
'anb an-american-express-card' => 'anb american express card', 
'anb an-android' => 'anb android', 
'anb an-angular' => 'anb angular', 
'anb an-app-store-circle' => 'anb app store circle', 
'anb an-app-store-square' => 'anb app store square', 
'anb an-app-store' => 'anb app store', 
'anb an-apple-pay-card' => 'anb apple pay card', 
'anb an-apple-pay' => 'anb apple pay', 
'anb an-apple' => 'anb apple', 
'anb an-backbone' => 'anb backbone', 
'anb an-behance-circle' => 'anb behance circle', 
'anb an-behance-square' => 'anb behance square', 
'anb an-behance' => 'anb behance', 
'anb an-bitbucket' => 'anb bitbucket', 
'anb an-blackberry' => 'anb blackberry', 
'anb an-blogger-circle' => 'anb blogger circle', 
'anb an-blogger-square' => 'anb blogger square', 
'anb an-blogger' => 'anb blogger', 
'anb an-bootstrap' => 'anb bootstrap', 
'anb an-buffer-circle' => 'anb buffer circle', 
'anb an-buffer-square' => 'anb buffer square', 
'anb an-buffer' => 'anb buffer', 
'anb an-buysellads-circle' => 'anb buysellads circle', 
'anb an-buysellads-square' => 'anb buysellads square', 
'anb an-buysellads' => 'anb buysellads', 
'anb an-cakephp' => 'anb cakephp', 
'anb an-chrome' => 'anb chrome', 
'anb an-cisco' => 'anb cisco', 
'anb an-codeigniter' => 'anb codeigniter', 
'anb an-codepen-circle' => 'anb codepen circle', 
'anb an-codepen-square' => 'anb codepen square', 
'anb an-codepen' => 'anb codepen', 
'anb an-coffeescript' => 'anb coffeescript', 
'anb an-css3' => 'anb css3', 
'anb an-deviantart-circle' => 'anb deviantart circle', 
'anb an-deviantart-square' => 'anb deviantart square', 
'anb an-deviantart' => 'anb deviantart', 
'anb an-docker' => 'anb docker', 
'anb an-dotnet' => 'anb dotnet', 
'anb an-dribbble-circle' => 'anb dribbble circle', 
'anb an-dribbble-square' => 'anb dribbble square', 
'anb an-dribbble' => 'anb dribbble', 
'anb an-dropbox-circle' => 'anb dropbox circle', 
'anb an-dropbox-square' => 'anb dropbox square', 
'anb an-dropbox' => 'anb dropbox', 
'anb an-drupal' => 'anb drupal', 
'anb an-ebay' => 'anb ebay', 
'anb an-elementor' => 'anb elementor', 
'anb an-evernote-circle' => 'anb evernote circle', 
'anb an-evernote-square' => 'anb evernote square', 
'anb an-evernote' => 'anb evernote', 
'anb an-facebook-circle' => 'anb facebook circle', 
'anb an-facebook-square' => 'anb facebook square', 
'anb an-facebook' => 'anb facebook', 
'anb an-feedly-circle' => 'anb feedly circle', 
'anb an-feedly-square' => 'anb feedly square', 
'anb an-feedly' => 'anb feedly', 
'anb an-firebase' => 'anb firebase', 
'anb an-firefox' => 'anb firefox', 
'anb an-flickr-circle' => 'anb flickr circle', 
'anb an-flickr-square' => 'anb flickr square', 
'anb an-flickr' => 'anb flickr', 
'anb an-foursquare-circle' => 'anb foursquare circle', 
'anb an-foursquare-square' => 'anb foursquare square', 
'anb an-foursquare' => 'anb foursquare', 
'anb an-git' => 'anb git', 
'anb an-github-circle' => 'anb github circle', 
'anb an-github' => 'anb github', 
'anb an-gitlab' => 'anb gitlab', 
'anb an-google-drive' => 'anb google drive', 
'anb an-google-play' => 'anb google play', 
'anb an-google-plus-circle' => 'anb google plus circle', 
'anb an-google-plus' => 'anb google plus', 
'anb an-google-wallet' => 'anb google wallet', 
'anb an-googleplus-square' => 'anb googleplus square', 
'anb an-grunt' => 'anb grunt', 
'anb an-html5-alt' => 'anb html5 alt', 
'anb an-html5' => 'anb html5', 
'anb an-instagram-circle' => 'anb instagram circle', 
'anb an-instagram-square' => 'anb instagram square', 
'anb an-instagram' => 'anb instagram', 
'anb an-invision' => 'anb invision', 
'anb an-java' => 'anb java', 
'anb an-javascript' => 'anb javascript', 
'anb an-jcb-card' => 'anb jcb card', 
'anb an-joomla' => 'anb joomla', 
'anb an-laravel' => 'anb laravel', 
'anb an-lastfm-circle' => 'anb lastfm circle', 
'anb an-lastfm-square' => 'anb lastfm square', 
'anb an-lastfm' => 'anb lastfm', 
'anb an-linkedin-circle' => 'anb linkedin circle', 
'anb an-linkedin-square' => 'anb linkedin square', 
'anb an-linkedin' => 'anb linkedin', 
'anb an-linux' => 'anb linux', 
'anb an-magento' => 'anb magento', 
'anb an-mailchimp' => 'anb mailchimp', 
'anb an-mastercard-card' => 'anb mastercard card', 
'anb an-microsoft' => 'anb microsoft', 
'anb an-mix' => 'anb mix', 
'anb an-mongodb' => 'anb mongodb', 
'anb an-myspace-circle' => 'anb myspace circle', 
'anb an-myspace-square' => 'anb myspace square', 
'anb an-myspace' => 'anb myspace', 
'anb an-mysql' => 'anb mysql', 
'anb an-node' => 'anb node', 
'anb an-nodejs' => 'anb nodejs', 
'anb an-nop-commerce' => 'anb nop commerce', 
'anb an-oldemployer-circle' => 'anb oldemployer circle', 
'anb an-oldemployer-square' => 'anb oldemployer square', 
'anb an-oldemployer' => 'anb oldemployer', 
'anb an-opencart' => 'anb opencart', 
'anb an-opera' => 'anb opera', 
'anb an-paypal-card' => 'anb paypal card', 
'anb an-paypal-circle' => 'anb paypal circle', 
'anb an-paypal-square' => 'anb paypal square', 
'anb an-paypal' => 'anb paypal', 
'anb an-php' => 'anb php', 
'anb an-pinterest-circle' => 'anb pinterest circle', 
'anb an-pinterest-square' => 'anb pinterest square', 
'anb an-pinterest' => 'anb pinterest', 
'anb an-product-hunt-circle' => 'anb product hunt circle', 
'anb an-product-hunt-square' => 'anb product hunt square', 
'anb an-product-hunt' => 'anb product hunt', 
'anb an-python' => 'anb python', 
'anb an-react' => 'anb react', 
'anb an-reddit-circle' => 'anb reddit circle', 
'anb an-reddit-square' => 'anb reddit square', 
'anb an-reddit' => 'anb reddit', 
'anb an-redhat' => 'anb redhat', 
'anb an-rss-circle' => 'anb rss circle', 
'anb an-rss-square' => 'anb rss square', 
'anb an-rss' => 'anb rss', 
'anb an-safari' => 'anb safari', 
'anb an-sass' => 'anb sass', 
'anb an-shopify-circle' => 'anb shopify circle', 
'anb an-shopify-square' => 'anb shopify square', 
'anb an-shopify' => 'anb shopify', 
'anb an-shopware' => 'anb shopware', 
'anb an-sketch' => 'anb sketch', 
'anb an-skype-circle' => 'anb skype circle', 
'anb an-skype-square' => 'anb skype square', 
'anb an-skype' => 'anb skype', 
'anb an-slack-circle' => 'anb slack circle', 
'anb an-slack-square' => 'anb slack square', 
'anb an-slack' => 'anb slack', 
'anb an-snapchat-circle' => 'anb snapchat circle', 
'anb an-snapchat-square' => 'anb snapchat square', 
'anb an-snapchat' => 'anb snapchat', 
'anb an-spotify-circle' => 'anb spotify circle', 
'anb an-spotify-square' => 'anb spotify square', 
'anb an-spotify' => 'anb spotify', 
'anb an-stackoverflow' => 'anb stackoverflow', 
'anb an-stripe-card' => 'anb stripe card', 
'anb an-swift' => 'anb swift', 
'anb an-symfony' => 'anb symfony', 
'anb an-trello' => 'anb trello', 
'anb an-tumblr-circle' => 'anb tumblr circle', 
'anb an-tumblr-square' => 'anb tumblr square', 
'anb an-tumblr' => 'anb tumblr', 
'anb an-twitter-circle' => 'anb twitter circle', 
'anb an-twitter-square' => 'anb twitter square', 
'anb an-twitter' => 'anb twitter', 
'anb an-ubuntu' => 'anb ubuntu', 
'anb an-viber' => 'anb viber', 
'anb an-vimeo-circle' => 'anb vimeo circle', 
'anb an-vimeo-square' => 'anb vimeo square', 
'anb an-vimeo' => 'anb vimeo', 
'anb an-vine-circle' => 'anb vine circle', 
'anb an-vine-square' => 'anb vine square', 
'anb an-vine' => 'anb vine', 
'anb an-visa-card' => 'anb visa card', 
'anb an-vk-circle' => 'anb vk circle', 
'anb an-vk-square' => 'anb vk square', 
'anb an-vk' => 'anb vk', 
'anb an-vmware' => 'anb vmware', 
'anb an-waze' => 'anb waze', 
'anb an-wechat-circle' => 'anb wechat circle', 
'anb an-wechat-square' => 'anb wechat square', 
'anb an-wechat' => 'anb wechat', 
'anb an-western-union-card' => 'anb western union card', 
'anb an-whatsapp-circle' => 'anb whatsapp circle', 
'anb an-whatsapp-square' => 'anb whatsapp square', 
'anb an-whatsapp' => 'anb whatsapp', 
'anb an-wikipedia' => 'anb wikipedia', 
'anb an-windows' => 'anb windows', 
'anb an-wordpress-alt' => 'anb wordpress alt', 
'anb an-wordpress-circle' => 'anb wordpress circle', 
'anb an-wordpress' => 'anb wordpress', 
'anb an-xamarin' => 'anb xamarin', 
'anb an-xing-circle' => 'anb xing circle', 
'anb an-xing-square' => 'anb xing square', 
'anb an-xing' => 'anb xing', 
'anb an-yahoo-circle' => 'anb yahoo circle', 
'anb an-yahoo-square' => 'anb yahoo square', 
'anb an-yahoo' => 'anb yahoo', 
'anb an-yelp-circle' => 'anb yelp circle', 
'anb an-yelp-square' => 'anb yelp square', 
'anb an-yelp' => 'anb yelp', 
'anb an-youtube-alt' => 'anb youtube alt', 
'anb an-youtube-circle' => 'anb youtube circle', 
'anb an-youtube-square' => 'anb youtube square', 
'anb an-youtube' => 'anb youtube', 

    ) );
    // Then we set a new list of icons as the options of the icon control
    $controls_registry->get_control( 'icon' )->set_settings( 'options', $new_icons );
}

add_action(
    'elementor/controls/controls_registered',
    'amazing_neo_modify_controls',
    10,
    1
);
// Admin Page
function amazing_contact_widgets_admin()
{
    ?>
  <div class="amazing-admin-contant">

    <div class="amazing-header">
      <a href="https://amazingneo.com/" target="_blank">
      <img src="<?php echo plugin_dir_url( dirname( __FILE__ ) ) . 'amazing-neo-for-elementor/includs/amazing-neo-logo.png'; ?>">
      </a>
    </div>

    <div class="amazing-pro">
      <h2>Get Amazing Neo Pro
        <a class="btn-amazing" href="https://amazingneo.com/">Amazing Neo</a>
     </h2>
    </div>

     <h1><?php 
      print esc_html__( 'Amazing Neo Icon Font For Elementor', 'amazing-neo-font-widget' );
      ?>
    </h1>

    <strong><?php 
      print esc_html__( 'The easiest way to add Amazing Neo Icons to your elementor project', 'amazing-neo-font-widget' );
    ?></strong>

    <h5><?php 
    print esc_html__( 'Amazing Neo Icon Active Successfuly !', 'amazing-neo-font-widget' );
    ?></h5>


  <p><?php 
    print esc_html__( 'open elementor and enjoy the new widgets (under "AMAZING NEO ICON" category)', 'amazing-neo-font-widget' );
    ?></p>
    
  <div class="amazing-fotter">
    <p><?php 
    print esc_html__( 'For more info visit', 'amazing-neo-font-widget' );
    ?> <a href="https://amazingneo.com/">Amazing Neo</a></p>
  </div>

  </div>
<?php 
}
